Package javax.help

# Interface HelpHistoryModel

All Superinterfaces:
  `EventListener`, `HelpModelListener`, `Serializable`

All Known Implementing Classes:
  `DefaultHelpHistoryModel`

public interface HelpHistoryModel extends HelpModelListener, Serializable
The interface to the history model.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHelpHistoryModelListener(HelpHistoryModelListener l)`
Adds a listener for the HelpHistoryModelEvent posted after the model has changed.
`void`
`discard()`
Discards a history
`Vector`
`getBackwardHistory()`
Returns a backward history list
`Vector`
`getForwardHistory()`
Returns a forward history list
`Vector`
`getHistory()`
Returns a history
`int`
`getIndex()`
Returns a current history position
`void`
`goBack()`
Sets a previous history entry
`void`
`goForward()`
Sets a next history entry
`void`
`removeHelpHistoryModelListener(HelpHistoryModelListener l)`
Removes a listener previously added with `addHelpHistoryModelListener`
`void`
`removeHelpSet(HelpSet hs)`
Removes entries related to removed HelpSet from history
`void`
`setHelpModel(HelpModel model)`
Sets the HelpModel
`void`
`setHistoryEntry(int index)`
Sets the current history entry

### Methods inherited from interface javax.help.event.HelpModelListener

`idChanged`

## Method Details

### addHelpHistoryModelListener

void addHelpHistoryModelListener(HelpHistoryModelListener l)
Adds a listener for the HelpHistoryModelEvent posted after the model has changed.

Parameters:
  `l` - The listener to add.
See Also:
  - `removeHelpHistoryModelListener(javax.help.event.HelpHistoryModelListener)`

### removeHelpHistoryModelListener

void removeHelpHistoryModelListener(HelpHistoryModelListener l)
Removes a listener previously added with `addHelpHistoryModelListener`

Parameters:
  `l` - The listener to remove.
See Also:
  - `addHelpHistoryModelListener(javax.help.event.HelpHistoryModelListener)`

### discard

void discard()
Discards a history

### goForward

void goForward()
Sets a next history entry

### goBack

void goBack()
Sets a previous history entry

### getBackwardHistory

Vector getBackwardHistory()
Returns a backward history list

### getForwardHistory

Vector getForwardHistory()
Returns a forward history list

### setHistoryEntry

void setHistoryEntry(int index)
Sets the current history entry

Parameters:
  `index` - The index of history entry

### removeHelpSet

void removeHelpSet(HelpSet hs)
Removes entries related to removed HelpSet from history

Parameters:
  `hs` - The removed HelpSet

### getHistory

Vector getHistory()
Returns a history

### getIndex

int getIndex()
Returns a current history position

Returns:
  The history index

### setHelpModel

void setHelpModel(HelpModel model)
Sets the HelpModel

Parameters:
  `model` - The HeplModel